Skip to content

Stripe: Update a payment link

Stripe paymentLinks.postPaymentLinksPaymentLink: arguments, response, policy and SDK examples.

← Payment links operations · Get started

Operation stripe.postpaymentlinkspaymentlink

Provider route: POST /v1/payment_links/{payment_link}. Alter supplies the connection’s credentials and routing.

Install @alter-ai/sdk @alter-ai/stripe with npm, or alter-sdk-stripe with pip. Supply your connected customer’s grant ID and the arguments described below.

import { App } from "@alter-ai/sdk";
import { StripeIntegration } from "@alter-ai/stripe";
async function execute(input: Parameters<StripeIntegration["paymentLinks"]["postPaymentLinksPaymentLink"]>[0]) {
const app = new App({ apiKey: process.env.ALTER_API_KEY! });
try {
const provider = new StripeIntegration(app, { grantId: process.env.PROVIDER_GRANT_ID! });
const call = await provider.paymentLinks.postPaymentLinksPaymentLink(input);
const result = await call.wait();
return result.bodyJson();
} finally {
await app.close();
}
}
import os
from alter_sdk import App
from alter_sdk_stripe import StripeIntegration
async def execute(arguments):
async with App(api_key=os.environ["ALTER_API_KEY"]) as app:
provider = StripeIntegration(app, {"grant_id": os.environ["PROVIDER_GRANT_ID"]})
call = await provider.payment_links.post_payment_links_payment_link(arguments)
result = await call.wait()
return result.body_json()
FieldTypePresenceDescription and constraints
$objectRootAdditional keys: not allowed
pathobjectRequired within parentAdditional keys: not allowed
path.payment_linkstringRequired within parentMaximum length: 5000
headersobjectOptionalAdditional keys: not allowed
headers.Idempotency-KeystringOptionalMinimum length: 1
Maximum length: 255
bodyobjectOptionalAdditional keys: not allowed
body.activebooleanOptionalWhether the payment link’s `url` is active. If `false`, customers visiting the URL will be shown a page saying that the link has been deactivated.
body.after_completionobjectOptionalBehavior after the purchase is complete.
body.after_completion.hosted_confirmationobjectOptional
body.after_completion.hosted_confirmation.custom_messagestringOptionalMaximum length: 500
body.after_completion.redirectobjectOptional
body.after_completion.redirect.urlstringRequired within parent
body.after_completion.typestringRequired within parentOne of: hosted_confirmation, redirect
body.allow_promotion_codesbooleanOptionalEnables user redeemable promotion codes.
body.application_fee_amountJSONOptionalThe amount of the application fee (if any) that will be requested to be applied to the payment and transferred to the application owner’s Stripe account. Can only be applied when there are no line items with recurring prices.
body.application_fee_amount (anyOf 1)integerAlternative
body.application_fee_amount (anyOf 2)stringAlternativeOne of:
body.application_fee_percentJSONOptionalA non-negative decimal between 0 and 100, with at most two decimal places. This represents the percentage of the subscription invoice total that will be transferred to the application owner’s Stripe account. There must be at least 1 line item with a recurring price to use this field.
body.application_fee_percent (anyOf 1)numberAlternative
body.application_fee_percent (anyOf 2)stringAlternativeOne of:
body.automatic_taxobjectOptionalConfiguration for automatic tax collection.
body.automatic_tax.enabledbooleanRequired within parent
body.automatic_tax.liabilityobjectOptional
body.automatic_tax.liability.accountstringOptional
body.automatic_tax.liability.typestringRequired within parentOne of: account, self
body.billing_address_collectionstringOptionalConfiguration for collecting the customer’s billing address. Defaults to `auto`.
One of: auto, required
body.consent_collectionobjectOptionalConfigure fields to gather active consent from customers.
body.consent_collection.payment_method_reuse_agreementobjectOptional
body.consent_collection.payment_method_reuse_agreement.positionstringRequired within parentOne of: auto, hidden
body.consent_collection.promotionsstringOptionalOne of: auto, none
body.consent_collection.terms_of_servicestringOptionalOne of: none, required
body.custom_fieldsJSONOptionalCollect additional information from your customer using custom fields. Up to 3 fields are supported. You can’t set this parameter if `ui_mode` is `elements`.
body.custom_fields (anyOf 1)arrayAlternative
body.custom_fields (anyOf 1)[]ModelEach itemExpand Create a payment link — request body — body custom fields item
body.custom_fields (anyOf 2)stringAlternativeOne of:
body.custom_textModelOptionalExpand Create a payment link — request body — body custom text
body.customer_creationstringOptionalConfigures whether [checkout sessions](https://docs.stripe.com/api/checkout/sessions) created by this payment link create a [Customer](https://docs.stripe.com/api/customers).
One of: always, if_required
body.expandarrayOptionalSpecifies which fields in the response should be expanded.
body.expand[]stringEach itemMaximum length: 5000
body.inactive_messageJSONOptionalThe custom message to be displayed to a customer when a payment link is no longer active.
body.inactive_message (anyOf 1)stringAlternativeMaximum length: 500
body.inactive_message (anyOf 2)stringAlternativeOne of:
body.invoice_creationModelOptionalExpand Create a payment link — request body — body invoice creation
body.line_itemsarrayOptionalThe line items representing what is being sold. Each line item represents an item being sold. Up to 20 line items are supported.
body.line_items[]objectEach item
body.line_items[].adjustable_quantityobjectOptional
body.line_items[].adjustable_quantity.enabledbooleanRequired within parent
body.line_items[].adjustable_quantity.maximumintegerOptional
body.line_items[].adjustable_quantity.minimumintegerOptional
body.line_items[].idstringRequired within parentMaximum length: 5000
body.line_items[].quantityintegerOptional
body.metadataobjectOptionalSet of [key-value pairs](https://docs.stripe.com/api/metadata) that you can attach to an object. This can be useful for storing additional information about the object in a structured format. Individual keys can be unset by posting an empty value to them. All keys can be unset by posting an empty value to `metadata`. Metadata associated with this Payment Link will automatically be copied to [checkout sessions](https://docs.stripe.com/api/checkout/sessions) created by this payment link.
Additional keys: see wildcard field
body.metadata.*stringAdditional keys
body.name_collectionJSONOptionalControls settings applied for collecting the customer’s name.
body.name_collection (anyOf 1)objectAlternative
body.name_collection (anyOf 1).businessobjectOptional
body.name_collection (anyOf 1).business.enabledbooleanRequired within parent
body.name_collection (anyOf 1).business.optionalbooleanOptional
body.name_collection (anyOf 1).individualobjectOptional
body.name_collection (anyOf 1).individual.enabledbooleanRequired within parent
body.name_collection (anyOf 1).individual.optionalbooleanOptional
body.name_collection (anyOf 2)stringAlternativeOne of:
body.on_behalf_ofJSONOptionalThe account on behalf of which to charge.
body.on_behalf_of (anyOf 1)stringAlternative
body.on_behalf_of (anyOf 2)stringAlternativeOne of:
body.optional_itemsJSONOptionalA list of optional items the customer can add to their order at checkout. Use this parameter to pass one-time or recurring [Prices](https://docs.stripe.com/api/prices).
There is a maximum of 10 optional items allowed on a payment link, and the existing limits on the number of line items allowed on a payment link apply to the combined number of line items and optional items.
There is a maximum of 20 combined line items and optional items.
body.optional_items (anyOf 1)arrayAlternative
body.optional_items (anyOf 1)[]objectEach item
body.optional_items (anyOf 1)[].adjustable_quantityobjectOptional
body.optional_items (anyOf 1)[].adjustable_quantity.enabledbooleanRequired within parent
body.optional_items (anyOf 1)[].adjustable_quantity.maximumintegerOptional
body.optional_items (anyOf 1)[].adjustable_quantity.minimumintegerOptional
body.optional_items (anyOf 1)[].pricestringRequired within parentMaximum length: 5000
body.optional_items (anyOf 1)[].quantityintegerRequired within parent
body.optional_items (anyOf 2)stringAlternativeOne of:
body.payment_intent_dataobjectOptionalA subset of parameters to be passed to PaymentIntent creation for Checkout Sessions in `payment` mode.
body.payment_intent_data.descriptionJSONOptional
body.payment_intent_data.description (anyOf 1)stringAlternativeMaximum length: 1000
body.payment_intent_data.description (anyOf 2)stringAlternativeOne of:
body.payment_intent_data.metadataJSONOptional
body.payment_intent_data.metadata (anyOf 1)objectAlternativeAdditional keys: see wildcard field
body.payment_intent_data.metadata (anyOf 1).*stringAdditional keys
body.payment_intent_data.metadata (anyOf 2)stringAlternativeOne of:
body.payment_intent_data.setup_future_usagestringOptionalOne of: , off_session, on_session
body.payment_intent_data.statement_descriptorJSONOptional
body.payment_intent_data.statement_descriptor (anyOf 1)stringAlternativeMaximum length: 22
body.payment_intent_data.statement_descriptor (anyOf 2)stringAlternativeOne of:
body.payment_intent_data.statement_descriptor_suffixJSONOptional
body.payment_intent_data.statement_descriptor_suffix (anyOf 1)stringAlternativeMaximum length: 22
body.payment_intent_data.statement_descriptor_suffix (anyOf 2)stringAlternativeOne of:
body.payment_intent_data.transfer_groupJSONOptional
body.payment_intent_data.transfer_group (anyOf 1)stringAlternativeMaximum length: 5000
body.payment_intent_data.transfer_group (anyOf 2)stringAlternativeOne of:
body.payment_method_collectionstringOptionalSpecify whether Checkout should collect a payment method. When set to `if_required`, Checkout will not collect a payment method when the total due for the session is 0.This may occur if the Checkout Session includes a free trial or a discount.

Can only be set in `subscription` mode. Defaults to `always`.

If you’d like information on how to collect a payment method outside of Checkout, read the guide on [configuring subscriptions with a free trial](https://docs.stripe.com/payments/checkout/free-trials).
One of: always, if_required
body.payment_method_optionsJSONOptionalPayment-method-specific configuration.
body.payment_method_options (anyOf 1)objectAlternative
body.payment_method_options (anyOf 1).cardJSONOptional
body.payment_method_options (anyOf 1).card (anyOf 1)objectAlternative
body.payment_method_options (anyOf 1).card (anyOf 1).restrictionsJSONOptional
body.payment_method_options (anyOf 1).card (anyOf 1).restrictions (anyOf 1)objectAlternative
body.payment_method_options (anyOf 1).card (anyOf 1).restrictions (anyOf 1).brands_blockedJSONOptional
body.payment_method_options (anyOf 1).card (anyOf 1).restrictions (anyOf 1).brands_blocked (anyOf 1)arrayAlternative
body.payment_method_options (anyOf 1).card (anyOf 1).restrictions (anyOf 1).brands_blocked (anyOf 1)[]stringEach itemOne of: american_express, discover_global_network, mastercard, visa
body.payment_method_options (anyOf 1).card (anyOf 1).restrictions (anyOf 1).brands_blocked (anyOf 2)stringAlternativeOne of:
body.payment_method_options (anyOf 1).card (anyOf 1).restrictions (anyOf 2)stringAlternativeOne of:
body.payment_method_options (anyOf 1).card (anyOf 2)stringAlternativeOne of:
body.payment_method_options (anyOf 2)stringAlternativeOne of:
body.payment_method_typesJSONOptionalThe list of payment method types that customers can use. Pass an empty string to enable dynamic payment methods that use your [payment method settings](https://dashboard.stripe.com/settings/payment_methods).
body.payment_method_types (anyOf 1)arrayAlternative
body.payment_method_types (anyOf 1)[]stringEach itemOne of: affirm, afterpay_clearpay, alipay, alma, au_becs_debit, bacs_debit, bancontact, billie, bizum, blik, boleto, card, cashapp, eps, fpx, giropay, grabpay, ideal, klarna, konbini, link, mb_way, mobilepay, multibanco, oxxo, p24, pay_by_bank, paynow, paypal, paypay, payto, pix, promptpay, satispay, sepa_debit, sequra, sofort, sunbit, swish, twint, upi, us_bank_account, wechat_pay, zip
body.payment_method_types (anyOf 2)stringAlternativeOne of:
body.phone_number_collectionobjectOptionalControls phone number collection settings during checkout.

We recommend that you review your privacy policy and check with your legal contacts.
body.phone_number_collection.enabledbooleanRequired within parent
body.restrictionsJSONOptionalSettings that restrict the usage of a payment link.
body.restrictions (anyOf 1)objectAlternative
body.restrictions (anyOf 1).completed_sessionsobjectRequired within parent
body.restrictions (anyOf 1).completed_sessions.limitintegerRequired within parent
body.restrictions (anyOf 2)stringAlternativeOne of:
body.shipping_address_collectionJSONOptionalConfiguration for collecting the customer’s shipping address.
body.shipping_address_collection (anyOf 1)objectAlternative
body.shipping_address_collection (anyOf 1).allowed_countriesarrayRequired within parent
body.shipping_address_collection (anyOf 1).allowed_countries[]stringEach itemOne of: AC, AD, AE, AF, AG, AI, AL, AM, AO, AQ, AR, AT, AU, AW, AX, AZ, BA, BB, BD, BE, BF, BG, BH, BI, BJ, BL, BM, BN, BO, BQ, BR, BS, BT, BV, BW, BY, BZ, CA, CD, CF, CG, CH, CI, CK, CL, CM, CN, CO, CR, CV, CW, CY, CZ, DE, DJ, DK, DM, DO, DZ, EC, EE, EG, EH, ER, ES, ET, FI, FJ, FK, FO, FR, GA, GB, GD, GE, GF, GG, GH, GI, GL, GM, GN, GP, GQ, GR, GS, GT, GU, GW, GY, HK, HN, HR, HT, HU, ID, IE, IL, IM, IN, IO, IQ, IS, IT, JE, JM, JO, JP, KE, KG, KH, KI, KM, KN, KR, KW, KY, KZ, LA, LB, LC, LI, LK, LR, LS, LT, LU, LV, LY, MA, MC, MD, ME, MF, MG, MK, ML, MM, MN, MO, MQ, MR, MS, MT, MU, MV, MW, MX, MY, MZ, NA, NC, NE, NG, NI, NL, NO, NP, NR, NU, NZ, OM, PA, PE, PF, PG, PH, PK, PL, PM, PN, PR, PS, PT, PY, QA, RE, RO, RS, RU, RW, SA, SB, SC, SD, SE, SG, SH, SI, SJ, SK, SL, SM, SN, SO, SR, SS, ST, SV, SX, SZ, TA, TC, TD, TF, TG, TH, TJ, TK, TL, TM, TN, TO, TR, TT, TV, TW, TZ, UA, UG, US, UY, UZ, VA, VC, VE, VG, VN, VU, WF, WS, XK, YE, YT, ZA, ZM, ZW, ZZ
body.shipping_address_collection (anyOf 2)stringAlternativeOne of:
body.shipping_optionsJSONOptionalThe shipping rate options to apply to [checkout sessions](https://docs.stripe.com/api/checkout/sessions) created by this payment link.
body.shipping_options (anyOf 1)arrayAlternative
body.shipping_options (anyOf 1)[]objectEach item
body.shipping_options (anyOf 1)[].shipping_ratestringOptionalMaximum length: 5000
body.shipping_options (anyOf 2)stringAlternativeOne of:
body.submit_typestringOptionalDescribes the type of transaction being performed in order to customize relevant text on the page, such as the submit button. Changing this value will also affect the hostname in the [url](https://docs.stripe.com/api/payment_links/payment_links/object#url) property (example: `donate.stripe.com`).
One of: auto, book, donate, pay, subscribe
body.subscription_dataobjectOptionalWhen creating a subscription, the specified configuration data will be used. There must be at least one line item with a recurring price to use `subscription_data`.
body.subscription_data.invoice_settingsobjectOptional
body.subscription_data.invoice_settings.issuerobjectOptional
body.subscription_data.invoice_settings.issuer.accountstringOptional
body.subscription_data.invoice_settings.issuer.typestringRequired within parentOne of: account, self
body.subscription_data.metadataJSONOptional
body.subscription_data.metadata (anyOf 1)objectAlternativeAdditional keys: see wildcard field
body.subscription_data.metadata (anyOf 1).*stringAdditional keys
body.subscription_data.metadata (anyOf 2)stringAlternativeOne of:
body.subscription_data.trial_period_daysJSONOptional
body.subscription_data.trial_period_days (anyOf 1)integerAlternative
body.subscription_data.trial_period_days (anyOf 2)stringAlternativeOne of:
body.subscription_data.trial_settingsJSONOptional
body.subscription_data.trial_settings (anyOf 1)objectAlternative
body.subscription_data.trial_settings (anyOf 1).end_behaviorobjectRequired within parent
body.subscription_data.trial_settings (anyOf 1).end_behavior.missing_payment_methodstringRequired within parentOne of: cancel, create_invoice, pause
body.subscription_data.trial_settings (anyOf 2)stringAlternativeOne of:
body.tax_id_collectionobjectOptionalControls tax ID collection during checkout.
body.tax_id_collection.enabledbooleanRequired within parent
body.tax_id_collection.requiredstringOptionalOne of: if_supported, never
body.transfer_dataJSONOptionalThe account (if any) the payments will be attributed to for tax reporting, and where funds from each payment will be transferred to.
body.transfer_data (anyOf 1)objectAlternative
body.transfer_data (anyOf 1).amountJSONOptional
body.transfer_data (anyOf 1).amount (anyOf 1)integerAlternative
body.transfer_data (anyOf 1).amount (anyOf 2)stringAlternativeOne of:
body.transfer_data (anyOf 1).destinationstringRequired within parent
body.transfer_data (anyOf 2)stringAlternativeOne of:

Referenced models: Create a payment link — request body — body custom fields item, Create a payment link — request body — body custom text, Create a payment link — request body — body invoice creation

Response media type: application/json. The table describes the pinned successful response. Referenced models link to their complete fields.

FieldTypePresenceDescription and constraints
$ModelRootExpand Create a payment link — response body

Referenced models: Create a payment link — response body

745 more schemas are linked from the tables above, on the schema pages.

Create a payment link — request body — body custom fields item
FieldTypePresenceDescription and constraints
$objectRoot
dropdownobjectOptional
dropdown.default_valuestringOptionalMaximum length: 100
dropdown.optionsarrayRequired within parent
dropdown.options[]objectEach item
dropdown.options[].labelstringRequired within parentMaximum length: 100
dropdown.options[].valuestringRequired within parentMaximum length: 100
keystringRequired within parentMaximum length: 200
labelobjectRequired within parent
label.customstringRequired within parentMaximum length: 100
label.typestringRequired within parentOne of: custom
numericobjectOptional
numeric.default_valuestringOptionalMaximum length: 255
numeric.maximum_lengthintegerOptional
numeric.minimum_lengthintegerOptional
optionalbooleanOptional
textobjectOptional
text.default_valuestringOptionalMaximum length: 255
text.maximum_lengthintegerOptional
text.minimum_lengthintegerOptional
typestringRequired within parentOne of: dropdown, numeric, text
Create a payment link — request body — body custom text
FieldTypePresenceDescription and constraints
$objectRootDisplay additional text for your customers using custom text. You can't set this parameter if `ui_mode` is `elements`.
after_submitJSONOptional
after_submit (anyOf 1)objectAlternative
after_submit (anyOf 1).messagestringRequired within parentMaximum length: 1200
after_submit (anyOf 2)stringAlternativeOne of:
shipping_addressJSONOptional
shipping_address (anyOf 1)objectAlternative
shipping_address (anyOf 1).messagestringRequired within parentMaximum length: 1200
shipping_address (anyOf 2)stringAlternativeOne of:
submitJSONOptional
submit (anyOf 1)objectAlternative
submit (anyOf 1).messagestringRequired within parentMaximum length: 1200
submit (anyOf 2)stringAlternativeOne of:
terms_of_service_acceptanceJSONOptional
terms_of_service_acceptance (anyOf 1)objectAlternative
terms_of_service_acceptance (anyOf 1).messagestringRequired within parentMaximum length: 1200
terms_of_service_acceptance (anyOf 2)stringAlternativeOne of:
Create a payment link — request body — body invoice creation
FieldTypePresenceDescription and constraints
$objectRootGenerate a post-purchase Invoice for one-time payments.
enabledbooleanRequired within parent
invoice_dataModelOptionalExpand Create a payment link — request body — body invoice creation invoice data

Referenced models: Create a payment link — request body — body invoice creation invoice data

PostApplicationFeesIdRefund — response body — application / object: application
FieldTypePresenceDescription and constraints
$objectRoot
idstringRequired within parentUnique identifier for the object.
Maximum length: 5000
nameJSONOptional
name (anyOf 1)stringAlternativeThe name of the application.
Maximum length: 5000
name (anyOf 2)nullAlternative
objectstringRequired within parentString representing the object's type. Objects of the same type share the same value.
Known values: application
Accept a quote — response body — application / value / deleted: True, object: application
FieldTypePresenceDescription and constraints
$objectRoot
deletedbooleanRequired within parentAlways true for a deleted object
Known values: True
idstringRequired within parentUnique identifier for the object.
Maximum length: 5000
nameJSONOptional
name (anyOf 1)stringAlternativeThe name of the application.
Maximum length: 5000
name (anyOf 2)nullAlternative
objectstringRequired within parentString representing the object's type. Objects of the same type share the same value.
Known values: application
Retrieve a quote's line items — response body — data item
FieldTypePresenceDescription and constraints
$objectRootA line item.
adjustable_quantityJSONOptional
adjustable_quantity (anyOf 1)JSONAlternative
adjustable_quantity (anyOf 1) (anyOf 1)ModelAlternativeExpand Retrieve a quote's line items — response body — data item adjustable quantity value enabled, maximum, minimum
adjustable_quantity (anyOf 2)nullAlternative
amount_discountJSONRequired within parent
amount_discount (anyOf 1)integerAlternativeTotal discount amount applied. If no discounts were applied, defaults to 0.
amount_discount (anyOf 2)stringAlternativePattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$
amount_subtotalJSONRequired within parent
amount_subtotal (anyOf 1)integerAlternativeTotal before any discounts or taxes are applied.
amount_subtotal (anyOf 2)stringAlternativePattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$
amount_taxJSONRequired within parent
amount_tax (anyOf 1)integerAlternativeTotal tax amount applied. If no tax was applied, defaults to 0.
amount_tax (anyOf 2)stringAlternativePattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$
amount_totalJSONRequired within parent
amount_total (anyOf 1)integerAlternativeTotal after discounts and taxes.
amount_total (anyOf 2)stringAlternativePattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$
currencystringRequired within parentThree-letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html), in lowercase. Must be a [supported currency](https://stripe.com/docs/currencies).
Format: currency
descriptionJSONOptional
description (anyOf 1)stringAlternativeAn arbitrary string attached to the object. Often useful for displaying to users. Defaults to product name.
Maximum length: 5000
description (anyOf 2)nullAlternative
discountsarrayOptionalThe discounts applied to the line item.
discounts[]ModelEach itemExpand Retrieve a quote's line items — response body — data item discounts item
idstringRequired within parentUnique identifier for the object.
Maximum length: 5000
metadataJSONOptional
metadata (anyOf 1)objectAlternativeSet of [key-value pairs](https://docs.stripe.com/api/metadata) that you can attach to an object. This can be useful for storing additional information about the object in a structured format.
Additional keys: see wildcard field
metadata (anyOf 1).*stringAdditional keysMaximum length: 500
metadata (anyOf 2)nullAlternative
objectstringRequired within parentString representing the object's type. Objects of the same type share the same value.
Known values: item
priceJSONOptional
price (anyOf 1)JSONAlternativeThe price used to generate the line item.
price (anyOf 1) (anyOf 1)ModelAlternativeExpand Create a price — response body
price (anyOf 2)nullAlternative
quantityJSONOptional
quantity (anyOf 1)JSONAlternative
quantity (anyOf 1) (anyOf 1)integerAlternativeThe quantity of products being purchased.
quantity (anyOf 1) (anyOf 2)stringAlternativePattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$
quantity (anyOf 2)nullAlternative
taxesarrayOptionalThe taxes applied to the line item.
taxes[]ModelEach itemExpand Retrieve a quote's line items — response body — data item taxes item

Referenced models: Retrieve a quote's line items — response body — data item adjustable quantity value enabled, maximum, minimum, Retrieve a quote's line items — response body — data item discounts item, Retrieve a quote's line items — response body — data item taxes item, Create a price — response body

Create a payment link — response body — phone number collection
FieldTypePresenceDescription and constraints
$objectRoot
enabledbooleanRequired within parentIf `true`, a phone number will be collected during checkout.
Create a Payment Method — response body — zip
FieldTypePresenceDescription and constraints
$objectRoot

SDK function policy ID: stripe.postpaymentlinkspaymentlink. Catalog operation: PostPaymentLinksPaymentLink. Rules can name either ID; function rules distinguish managed calls and conservatively cover raw calls sharing the route. Existing grant permissions and policy rules apply. wait() returns an immediate result or waits for a required approval; it never approves the request itself. Persist the approval ID to resume after a restart.

Provider errors retain their response; JSON decoding raises ProviderAPIError for provider failures. ManagedOperationError identifies contract/input/retention errors. See error handling and provider-specific behavior. Sensitive input may be refused before approval storage. A decoding error never resubmits a write.

Pinned headers: {"Stripe-Version": "2026-09-30.endive"}

Official provider source

Report an issue with this page

Necessary

Required for sign-in, security, authorization, and remembering your choices.

Always active

Analytics

Helps us understand which product and documentation features are useful.

Performance diagnostics

Uses performance tracing and privacy-masked session replay to diagnose problems.

You can change these choices at any time from Cookie settings.